import './component';
import './config';
import './preview';

Shopware.Service('cmsService').registerCmsElement({
    name: 'june-page-select',
    label: 'JUNE Page Config',
    component: 'june-cms-el-june-page',
    configComponent: 'june-cms-el-config-june-page',
    previewComponent: 'june-cms-el-june-page-preview',
    defaultConfig: {
        junePage: {
            source: 'static',
            value: null,
            entity: {
                name: 'junepage',
            }
        }
    }
});
