<?php declare(strict_types=1);

namespace June\Core\Framework\Event;

use Shopware\Core\Framework\Event\EventData\MailRecipientStruct;
use Shopware\Core\Framework\Event\FlowEventAware;

interface JuneMailAware extends FlowEventAware
{
    public const MAIL_STRUCT = 'mailStruct';

    public const CUSTOMER_ID = 'customerId';

    public function getMailStruct(): MailRecipientStruct;

    public function getCustomerId(): string;
}
