<?php declare(strict_types=1);

namespace June\Extension\Checkout\Customer;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class CustomExtensionEntity extends Entity
{
    use EntityIdTrait;

    protected ?string $customer_id;

    protected ?string $june_id;

    protected bool $active;

    public function getCustomerId(): ?string
    {
        return $this->customer_id;
    }

    public function setCustomerId(?string $customer_id): void
    {
        $this->customer_id = $customer_id;
    }

    public function getJuneId(): ?string
    {
        return $this->june_id;
    }

    public function setJuneId(?string $june_id): void
    {
        $this->june_id = $june_id;
    }

    public function isActive(): bool
    {
        return $this->active;
    }

    public function setActive(bool $active): void
    {
        $this->active = $active;
    }
}
