import template from './june-cms-element-june-page.html.twig';

const { Component, Mixin } = Shopware;
const { EntityCollection, Criteria } = Shopware.Data;

Component.register('june-cms-el-config-june-page', {
    template,

    inject: ['repositoryFactory'],

    mixins: [
        Mixin.getByName('cms-element')
    ],

    data() {
        return {
            junePage: null,
            selectedPage: null,
        }
    },
    computed: {
        junePageRepository() {
            return this.repositoryFactory.create('junepage');
        },
    },

    created() {
        this.createdComponent();
    },

    methods: {
        createdComponent() {
            this.initElementConfig('june-page-select');
        },
    }
});
